List forms
Forms under Components with type, published state and fields.
GET https://cotlet.dev/api/v1/mautic/forms
read
Lists the forms of your Mautic. type is campaign or standalone. fields are the field names and types of each form. It lists the forms only; it does not read their submissions.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/mautic/forms \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("mautic", "list_forms") const result = await cotlet.call('mautic', 'list_forms'); cotlet call mautic list_forms Example response
{
"forms": [
{
"form_id": 4,
"name": "Webinar signup",
"type": "standalone",
"published": true,
"fields": [
"Email",
"Text: Short answer",
"Select: Single or multiple choices"
]
}
]
}